Bug 1534765 - javadoc for org.mozilla.jss.pkix.cms.SignedData.getSignerInfos() is incorrect
Summary: javadoc for org.mozilla.jss.pkix.cms.SignedData.getSignerInfos() is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jss
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christina Fu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1534767
TreeView+ depends on / blocked
 
Reported: 2018-01-15 22:18 UTC by Matthew Harmsen
Modified: 2018-12-13 02:47 UTC (History)
9 users (show)

Fixed In Version: jss-4.5.1-1.fc29 jss-4.5.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1534767 (view as bug list)
Environment:
Last Closed: 2018-10-15 16:01:40 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 384470 0 None None None 2019-05-06 15:33:34 UTC

Description Matthew Harmsen 2018-01-15 22:18:36 UTC
I think the javadoc for the getSignerInfos() method is wrong.  It says it returns "a SET of org.mozilla.jss.pkcs7.SignerInfo" but I think it is a SET of org.mozilla.jss.pkix.cms.SignerInfo.


Reproducible: Always

Steps to Reproduce:
Below isn't really complete but you should get the point...

import org.mozilla.jss.pkix.cms.ContentInfo;
import org.mozilla.jss.pkix.cms.SignedData;
//import org.mozilla.jss.pkix.cms.SignerInfo;
import org.mozilla.jss.pkcs7.SignerInfo;

ContentInfo ci = (ContentInfo) ASN1Util.decode(ContentInfo.getTemplate(), binaryResponse);
SignedData response = (SignedData) ci.getInterpretedContent();
SignerInfo sinfo = (SignerInfo) response.getSignerInfos().elementAt(0);
Actual Results:  
org.mozilla.jss.pkix.cms.SignerInfo cannot be cast to org.mozilla.jss.pkcs7.SignerInfo

Comment 1 Alex Scheel 2018-10-15 16:01:40 UTC
This is fixed upstream: https://github.com/dogtagpki/jss/pull/39. Marking this as CLOSED...

Comment 2 Fedora Update System 2018-12-01 01:59:15 UTC
tomcatjss-7.3.6-2.fc29 nuxwdog-1.0.5-3.fc29 dogtag-pki-10.6.8-1.fc29 pki-core-10.6.8-1.fc29 jss-4.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3241dd6a7f

Comment 3 Fedora Update System 2018-12-01 02:03:38 UTC
jss-4.5.1-1.fc28 dogtag-pki-10.6.8-1.fc28 pki-core-10.6.8-1.fc28 nuxwdog-1.0.5-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-115068f60e

Comment 4 Fedora Update System 2018-12-02 07:54:18 UTC
dogtag-pki-10.6.8-1.fc28, jss-4.5.1-1.fc28, nuxwdog-1.0.5-3.fc28, pki-core-10.6.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-115068f60e

Comment 5 Fedora Update System 2018-12-02 10:10:08 UTC
dogtag-pki-10.6.8-1.fc29, jss-4.5.1-1.fc29, nuxwdog-1.0.5-3.fc29, pki-core-10.6.8-1.fc29, tomcatjss-7.3.6-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3241dd6a7f

Comment 6 Fedora Update System 2018-12-04 20:42:18 UTC
dogtag-pki-10.6.8-1.fc29 freeipa-4.7.2-1.fc29 jss-4.5.1-1.fc29 nuxwdog-1.0.5-3.fc29 pki-core-10.6.8-3.fc29 tomcatjss-7.3.6-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3241dd6a7f

Comment 7 Fedora Update System 2018-12-04 20:42:44 UTC
dogtag-pki-10.6.8-1.fc28 freeipa-4.7.2-1.fc28 jss-4.5.1-1.fc28 nuxwdog-1.0.5-3.fc28 pki-core-10.6.8-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-115068f60e

Comment 8 Fedora Update System 2018-12-05 03:06:26 UTC
dogtag-pki-10.6.8-3.fc28, freeipa-4.7.2-1.fc28, jss-4.5.1-1.fc28, nuxwdog-1.0.5-3.fc28, pki-core-10.6.8-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-115068f60e

Comment 9 Fedora Update System 2018-12-05 03:53:35 UTC
dogtag-pki-10.6.8-3.fc29, freeipa-4.7.2-1.fc29, jss-4.5.1-1.fc29, nuxwdog-1.0.5-3.fc29, pki-core-10.6.8-3.fc29, tomcatjss-7.3.6-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3241dd6a7f

Comment 10 Fedora Update System 2018-12-13 02:15:47 UTC
dogtag-pki-10.6.8-3.fc29, freeipa-4.7.2-1.fc29, jss-4.5.1-1.fc29, nuxwdog-1.0.5-3.fc29, pki-core-10.6.8-3.fc29, tomcatjss-7.3.6-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-12-13 02:47:00 UTC
dogtag-pki-10.6.8-3.fc28, freeipa-4.7.2-1.fc28, jss-4.5.1-1.fc28, nuxwdog-1.0.5-3.fc28, pki-core-10.6.8-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.